net.sf.jasperreports.engine.export

## Class JRHtmlExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRHtmlExporterParameter

- Deprecated.
  Replaced by `ExporterInput`, `HtmlExporterConfiguration` and `HtmlExporterOutput`.

      public class JRHtmlExporterParameter
      extends JRExporterParameter

  Contains parameters useful for export in HTML format.

  The HTML exporter can send data to a string buffer, output stream, character stream or file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STRING_BUFFER, OUTPUT_WRITER, OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

  An important issue is images. The HTML format stores images as separate files, so the exporter needs to know where these images will be stored. If they are stored on disk, the IMAGES_URI parameter will be initialized with a string containing the file name on disk. If they remain in memory, IMAGES_URI must point to a resource that is able to send the images to the browser (such as an image servlet, as shown in the webapp example).

  Version:
    $Id: JRHtmlExporterParameter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRHtmlExporterParameter` | `BETWEEN_PAGES_HTML` Deprecated. Replaced by `HtmlExporterConfiguration.getBetweenPagesHtml()`.
    `static JRHtmlExporterParameter` | `FLUSH_OUTPUT` Deprecated. Replaced by `HtmlExporterConfiguration.isFlushOutput()`.
    `static JRHtmlExporterParameter` | `FRAMES_AS_NESTED_TABLES` Deprecated. Replaced by `JRHtmlReportConfiguration.isFramesAsNestedTables()`.
    `static JRHtmlExporterParameter` | `HTML_FOOTER` Deprecated. Replaced by `HtmlExporterConfiguration.getHtmlFooter()`.
    `static JRHtmlExporterParameter` | `HTML_HEADER` Deprecated. Replaced by `HtmlExporterConfiguration.getHtmlHeader()`.
    `static JRHtmlExporterParameter` | `IMAGES_DIR` Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
    `static JRHtmlExporterParameter` | `IMAGES_DIR_NAME` Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
    `static JRHtmlExporterParameter` | `IMAGES_MAP` Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
    `static JRHtmlExporterParameter` | `IMAGES_URI` Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
    `static JRHtmlExporterParameter` | `IS_OUTPUT_IMAGES_TO_DIR` Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
    `static JRHtmlExporterParameter` | `IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` Deprecated. Replaced by `HtmlReportConfiguration.isRemoveEmptySpaceBetweenRows()`.
    `static JRHtmlExporterParameter` | `IS_USING_IMAGES_TO_ALIGN` Deprecated. Replaced by `JRHtmlExporterConfiguration.isUsingImagesToAlign()`.
    `static JRHtmlExporterParameter` | `IS_WHITE_PAGE_BACKGROUND` Deprecated. Replaced by `HtmlReportConfiguration.isWhitePageBackground()`.
    `static JRHtmlExporterParameter` | `IS_WRAP_BREAK_WORD` Deprecated. Replaced by `HtmlReportConfiguration.isWrapBreakWord()`.
    `static java.lang.String` | `PROPERTY_FLUSH_OUTPUT` Deprecated. Replaced by `HtmlExporterConfiguration.PROPERTY_FLUSH_OUTPUT`.
    `static java.lang.String` | `PROPERTY_FRAMES_AS_NESTED_TABLES` Deprecated. Replaced by `JRHtmlReportConfiguration.PROPERTY_FRAMES_AS_NESTED_TABLES`.
    `static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`.
    `static java.lang.String` | `PROPERTY_SIZE_UNIT` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_SIZE_UNIT`.
    `static java.lang.String` | `PROPERTY_USING_IMAGES_TO_ALIGN` Deprecated. Replaced by `JRHtmlExporterConfiguration.PROPERTY_USING_IMAGES_TO_ALIGN`.
    `static java.lang.String` | `PROPERTY_WHITE_PAGE_BACKGROUND` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_WHITE_PAGE_BACKGROUND`.
    `static java.lang.String` | `PROPERTY_WRAP_BREAK_WORD` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_WRAP_BREAK_WORD`.
    `static JRHtmlExporterParameter` | `SIZE_UNIT` Deprecated. Replaced by `HtmlReportConfiguration.getSizeUnit()`.
    `static java.lang.String` | `SIZE_UNIT_PIXEL` Deprecated. Replaced by `HtmlSizeUnitEnum.PIXEL`.
    `static java.lang.String` | `SIZE_UNIT_POINT` Deprecated. Replaced by `HtmlSizeUnitEnum.POINT`.
    `static JRHtmlExporterParameter` | `ZOOM_RATIO` Deprecated. Replaced by `HtmlReportConfiguration.getZoomRatio()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRHtmlExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IMAGES_MAP

          public static final JRHtmlExporterParameter IMAGES_MAP

      Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
      A map containing all the images that were used for generating the report. The JasperReports engine stores all the images in this map, and uses the map keys for referencing images throughout the export process.

    - #### IMAGES_DIR

          public static final JRHtmlExporterParameter IMAGES_DIR

      Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
      A `java.io.File` instance representing an absolute path to a folder on a local disk, where all the images are stored.

    - #### IMAGES_DIR_NAME

          public static final JRHtmlExporterParameter IMAGES_DIR_NAME

      Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
      An absolute path to a folder on a local disk, where all the images are stored. This is an alternative to IMAGES_DIR

    - #### IS_OUTPUT_IMAGES_TO_DIR

          public static final JRHtmlExporterParameter IS_OUTPUT_IMAGES_TO_DIR

      Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
      A boolean value specifying whether the images should be stored on disk. The default value is true. If this parameter is specified, IMAGES_DIR or IMAGES_DIR_NAME must also be specified and point to a valid directory.

    - #### IMAGES_URI

          public static final JRHtmlExporterParameter IMAGES_URI

      Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
      An URI to the folder where all the images are stored. It could also point to a different resource, such as an image servlet. It is used in the generated HTML to point to the actual location of the image in the tag (as a file on disk or a web resource).

    - #### HTML_HEADER

          public static final JRHtmlExporterParameter HTML_HEADER

      Deprecated. Replaced by `HtmlExporterConfiguration.getHtmlHeader()`.

    - #### BETWEEN_PAGES_HTML

          public static final JRHtmlExporterParameter BETWEEN_PAGES_HTML

      Deprecated. Replaced by `HtmlExporterConfiguration.getBetweenPagesHtml()`.

    - #### HTML_FOOTER

          public static final JRHtmlExporterParameter HTML_FOOTER

      Deprecated. Replaced by `HtmlExporterConfiguration.getHtmlFooter()`.

    - #### IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

          public static final JRHtmlExporterParameter IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

      Deprecated. Replaced by `HtmlReportConfiguration.isRemoveEmptySpaceBetweenRows()`.

    - #### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

          public static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`.
      See Also:
        Constant Field Values

    - #### IS_WHITE_PAGE_BACKGROUND

          public static final JRHtmlExporterParameter IS_WHITE_PAGE_BACKGROUND

      Deprecated. Replaced by `HtmlReportConfiguration.isWhitePageBackground()`.

    - #### PROPERTY_WHITE_PAGE_BACKGROUND

          public static final java.lang.String PROPERTY_WHITE_PAGE_BACKGROUND

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_WHITE_PAGE_BACKGROUND`.
      See Also:
        Constant Field Values

    - #### IS_USING_IMAGES_TO_ALIGN

          public static final JRHtmlExporterParameter IS_USING_IMAGES_TO_ALIGN

      Deprecated. Replaced by `JRHtmlExporterConfiguration.isUsingImagesToAlign()`.

    - #### PROPERTY_USING_IMAGES_TO_ALIGN

          public static final java.lang.String PROPERTY_USING_IMAGES_TO_ALIGN

      Deprecated. Replaced by `JRHtmlExporterConfiguration.PROPERTY_USING_IMAGES_TO_ALIGN`.
      See Also:
        Constant Field Values

    - #### IS_WRAP_BREAK_WORD

          public static final JRHtmlExporterParameter IS_WRAP_BREAK_WORD

      Deprecated. Replaced by `HtmlReportConfiguration.isWrapBreakWord()`.

    - #### PROPERTY_WRAP_BREAK_WORD

          public static final java.lang.String PROPERTY_WRAP_BREAK_WORD

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_WRAP_BREAK_WORD`.
      See Also:
        Constant Field Values

    - #### SIZE_UNIT

          public static final JRHtmlExporterParameter SIZE_UNIT

      Deprecated. Replaced by `HtmlReportConfiguration.getSizeUnit()`.

    - #### PROPERTY_SIZE_UNIT

          public static final java.lang.String PROPERTY_SIZE_UNIT

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_SIZE_UNIT`.
      See Also:
        Constant Field Values

    - #### SIZE_UNIT_PIXEL

          public static final java.lang.String SIZE_UNIT_PIXEL

      Deprecated. Replaced by `HtmlSizeUnitEnum.PIXEL`.

    - #### SIZE_UNIT_POINT

          public static final java.lang.String SIZE_UNIT_POINT

      Deprecated. Replaced by `HtmlSizeUnitEnum.POINT`.

    - #### ZOOM_RATIO

          public static final JRHtmlExporterParameter ZOOM_RATIO

      Deprecated. Replaced by `HtmlReportConfiguration.getZoomRatio()`.

    - #### FRAMES_AS_NESTED_TABLES

          public static final JRHtmlExporterParameter FRAMES_AS_NESTED_TABLES

      Deprecated. Replaced by `JRHtmlReportConfiguration.isFramesAsNestedTables()`.

    - #### PROPERTY_FRAMES_AS_NESTED_TABLES

          public static final java.lang.String PROPERTY_FRAMES_AS_NESTED_TABLES

      Deprecated. Replaced by `JRHtmlReportConfiguration.PROPERTY_FRAMES_AS_NESTED_TABLES`.
      See Also:
        Constant Field Values

    - #### FLUSH_OUTPUT

          public static final JRHtmlExporterParameter FLUSH_OUTPUT

      Deprecated. Replaced by `HtmlExporterConfiguration.isFlushOutput()`.

    - #### PROPERTY_FLUSH_OUTPUT

          public static final java.lang.String PROPERTY_FLUSH_OUTPUT

      Deprecated. Replaced by `HtmlExporterConfiguration.PROPERTY_FLUSH_OUTPUT`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRHtmlExporterParameter

          public JRHtmlExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com